Error
A valid request URL is required to generate request examples{
"access_profile": {
"id": 123,
"name": "<string>",
"description": "<string>",
"is_active": true,
"version": 123,
"tags": [
"<string>"
],
"provider_configs": [
{
"provider_name": "<string>",
"id": 123,
"all_models_allowed": true,
"allowed_models": [
"<string>"
],
"budgets": [
{
"max_limit": 123,
"id": "<string>",
"scope": "<string>",
"current_usage": 123,
"last_reset": "2023-11-07T05:31:56Z"
}
],
"rate_limit": {
"id": "<string>",
"token_max_limit": 123,
"request_max_limit": 123,
"token_current_usage": 123,
"request_current_usage": 123
}
}
],
"budgets": [
{
"max_limit": 123,
"id": "<string>",
"scope": "<string>",
"current_usage": 123,
"last_reset": "2023-11-07T05:31:56Z"
}
],
"rate_limit": {
"id": "<string>",
"token_max_limit": 123,
"request_max_limit": 123,
"token_current_usage": 123,
"request_current_usage": 123
},
"calendar_aligned": true,
"mcp_tool_groups": [
{
"tool_group_id": 123
}
],
"mcp_servers": [
{
"mcp_server_id": "<string>"
}
],
"mcp_tool_overrides": [
{
"mcp_client_id": "<string>",
"tool_name": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Access Profiles
Activate access profile
Sets the profile active. Idempotent.
PUT
/
api
/
access-profiles
/
{id}
/
activate
Error
A valid request URL is required to generate request examples{
"access_profile": {
"id": 123,
"name": "<string>",
"description": "<string>",
"is_active": true,
"version": 123,
"tags": [
"<string>"
],
"provider_configs": [
{
"provider_name": "<string>",
"id": 123,
"all_models_allowed": true,
"allowed_models": [
"<string>"
],
"budgets": [
{
"max_limit": 123,
"id": "<string>",
"scope": "<string>",
"current_usage": 123,
"last_reset": "2023-11-07T05:31:56Z"
}
],
"rate_limit": {
"id": "<string>",
"token_max_limit": 123,
"request_max_limit": 123,
"token_current_usage": 123,
"request_current_usage": 123
}
}
],
"budgets": [
{
"max_limit": 123,
"id": "<string>",
"scope": "<string>",
"current_usage": 123,
"last_reset": "2023-11-07T05:31:56Z"
}
],
"rate_limit": {
"id": "<string>",
"token_max_limit": 123,
"request_max_limit": 123,
"token_current_usage": 123,
"request_current_usage": 123
},
"calendar_aligned": true,
"mcp_tool_groups": [
{
"tool_group_id": 123
}
],
"mcp_servers": [
{
"mcp_server_id": "<string>"
}
],
"mcp_tool_overrides": [
{
"mcp_client_id": "<string>",
"tool_name": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Path Parameters
Response
Profile is active.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

